Create a new static QRCode
curl --request POST \
--url https://api.sandbox.trio.com.br/banking/cashin/pix/qrcodes/static \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": {
"amount": 2000,
"currency": "BRL"
},
"description": "description",
"external_id": "external_id",
"options": {
"show_qrcode_image": false
},
"virtual_account_id": "01919020-51ee-527b-5147-3feacb8ea333"
}
'import requests
url = "https://api.sandbox.trio.com.br/banking/cashin/pix/qrcodes/static"
payload = {
"amount": {
"amount": 2000,
"currency": "BRL"
},
"description": "description",
"external_id": "external_id",
"options": { "show_qrcode_image": False },
"virtual_account_id": "01919020-51ee-527b-5147-3feacb8ea333"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: {amount: 2000, currency: 'BRL'},
description: 'description',
external_id: 'external_id',
options: {show_qrcode_image: false},
virtual_account_id: '01919020-51ee-527b-5147-3feacb8ea333'
})
};
fetch('https://api.sandbox.trio.com.br/banking/cashin/pix/qrcodes/static', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"amount": {
"amount": 2000,
"currency": "BRL"
},
"description": "description",
"external_id": "external_id",
"id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2",
"origin_id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2",
"origin_type": "none",
"stages": [
{
"id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2",
"status": "created",
"timestamp": "2026-07-02T19:00:14.767183Z"
}
],
"status": "created",
"timestamp": "2026-07-02T19:00:14.767176Z",
"virtual_account_id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2"
}
}{
"error": {
"error_code": "UNAUTHORIZED",
"error_message": "Invalid credentials"
}
}{
"error": {
"error_code": "INTEGRATION_ERROR",
"error_message": "An unexpected issue occurred"
}
}Static QR Code (Pix)
Create static QR code
Creates a static QR code
POST
/
banking
/
cashin
/
pix
/
qrcodes
/
static
Create a new static QRCode
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Body
application/json
The static QRCode payload
Body params to create a static QRCode
Amount value of the static QRCode
Create options
Show child attributes
Show child attributes
Virtual account ID
Description of the static QRCode
External ID of the static QRCode
Platform ID of the dynamic QRCode
Response
StaticBrcode
Response for a single static QRCode
⌘I

